GWGraphInternal::FrameBasic Struct Reference

Internal: the basic graphic of a GWGraph. More...

Inheritance diagram for GWGraphInternal::FrameBasic:

## Public Member Functions

| FrameBasic (Frame const &frame)
| constructor More...
shared_ptr< MWAWPictBasic > | getPicture (Style const &style) const
| returns a picture corresponding to the frame More...
virtual Type | getType () const
| return the frame type More...
virtual void | print (std::ostream &o) const
| print function More...
Public Member Functions inherited from GWGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...

## Public Attributes

int | m_values [3]
| arc : the angles, open/close, rectoval : type, the corner dimension More...
std::vector< Vec2f > | m_vertices
| the polygon vertices More...
int | m_lineArrow
| the line arrow style (in v1) More...
int | m_lineFormat
| the line format? More...
Public Attributes inherited from GWGraphInternal::Frame
int | m_type
| the zone type More...
int | m_style
| the style identifier More...
int | m_parent
| the parent identifier More...
int | m_order
| the z order More...
long | m_dataSize
| the data size ( if know) More...
Box2f | m_box
| the zone bdbox More...
int | m_page
| the page More...
std::string | m_extra
| extra data More...
bool | m_parsed
| true if the frame is send More...

## Additional Inherited Members

Public Types inherited from GWGraphInternal::Frame
enum | Type { T_BAD, T_BASIC, T_GROUP, T_PICTURE, T_TEXT, T_UNSET }
| the frame type More...

## Detailed Description

Internal: the basic graphic of a GWGraph.

## Constructor & Destructor Documentation

GWGraphInternal::FrameBasic::FrameBasic | ( | Frame const & | frame | ) |

inline

constructor

## Member Function Documentation

shared_ptr< MWAWPictBasic > GWGraphInternal::FrameBasic::getPicture | ( | Style const & | style | ) | const

returns a picture corresponding to the frame

Referenced by GWGraph::sendBasic().

virtual Type GWGraphInternal::FrameBasic::getType | ( |  | ) | const

inline virtual

return the frame type

Reimplemented from GWGraphInternal::Frame.

virtual void GWGraphInternal::FrameBasic::print | ( | std::ostream & | o | ) | const

inline virtual

print function

Reimplemented from GWGraphInternal::Frame.

## Member Data Documentation

int GWGraphInternal::FrameBasic::m_lineArrow

the line arrow style (in v1)

Referenced by getPicture(), print(), and GWGraph::readFrameHeader().

int GWGraphInternal::FrameBasic::m_lineFormat

the line format?

Referenced by print(), and GWGraph::readFrameHeader().

int GWGraphInternal::FrameBasic::m_values[3]

arc : the angles, open/close, rectoval : type, the corner dimension

Referenced by FrameBasic(), getPicture(), print(), and GWGraph::readFrameHeader().

std::vector<Vec2f> GWGraphInternal::FrameBasic::m_vertices

the polygon vertices

Referenced by getPicture(), print(), GWGraph::readFrameHeader(), and GWGraph::readPageFrames().

The documentation for this struct was generated from the following file:

- GWGraph.cxx